QGIS Application - Bug report #11465
pyqgtconfig deprecated => sip: Unable to find file "QtCore/QtCoremod.sip"
2014-10-22 10:51 AM - Martin von Gagern

Status: Closed

Priority: Normal

Assignee:

Category: Build/Install

Affected QGIS version:2.4.0 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 19740
Description

As initially reported on Gentoo, Current versions of QGIS (namely 2.4.0) fail to install with some configurations of recent PyQt4 (in my
case PyQt4-4.11.2). The actual error message in this case reads like this:

sip: Unable to find file "QtCore/QtCoremod.sip”

The actual cause is most likely this other error message, printed during configuration:

Traceback (most recent call last):
File "../qgis-2.4.0/cmake/FindPyQt.py", line 5, in <module>
import PyQt4.pyqgtconfig
ImportError: No module named pyqtconfig

The reason behind this is the fact that according to the PyQt docs the pyqgtconfig module has been deprecated and won't be built if the
package is configured with the configure-ng.py script instead of the legacy configure.py script. The FindPyQt.py script in QGIS starts out
by importing that module, so it fails pretty fast.

| don't know exactly how to retrieve all the information that script obtained without using pygtconfig. But for some settings | found ways to
obtain the same settings, or at least make educated guesses which work in default configurations. | wrote that up in a patch which allows
my build to succeed. That patch currently makes use of the sipconfig module, which apparently is destined to go away in SIP version 5,
but that hasn't been released yet, so for the time being we can accept that requirement for now.

Associated revisions

Revision f4b3ad03 - 2015-02-25 07:32 PM - Jiirgen Fischer

use PyQt4 where deprecated pyqgtconfig is unavailable (fixes #10596 and fixes #11465)

Revision 1213254f - 2015-02-25 11:06 PM - Jiirgen Fischer

debian packaging fix (fixes #11465)

Revision 97ace3cf - 2015-02-25 11:41 PM - Jiirgen Fischer

debian packaging fix (fixes #11465)
https://bugs.gentoo.org/show_bug.cgi?id=525700
http://pyqt.sourceforge.net/Docs/PyQt4/build_system.html

Revision dd8c99b5 - 2015-02-26 08:42 AM - Jiirgen Fischer

use PyQt4 where deprecated pygtconfig is unavailable (fixes #10596 and fixes #11465)

History

#1 - 2014-11-26 12:06 PM - marisn -

This patch is required to compile also current master (tested with f00db95 on ~AMD64 Gentoo).

#2 - 2015-02-03 01:13 PM - Donovan Cameron

Is this a duplicate of the bug | posted at #10596 ?

#3 - 2015-02-25 07:58 AM - marisn -

Donovan Cameron wrote:

Is this a duplicate of the bug | posted at #10596 ?

Seems so, still this one contains a woring patch. | wonder how it could slip past release with an existing patch...

#4 - 2015-02-25 10:33 AM - Jiirgen Fischer
- Status changed from Open to Closed

Fixed in changeset commit:"f4b3ad033aebcb4788d517a082e8bfbef83341f1".

Files

qgis-2.4.0-FindPyQt.patch 2.01 KB 2014-10-22 Martin von Gagern
